/* GNU PIC object symbol strip
   Copyright 2005	Craig Franklin
   Copyright 2016	Molnár Károly
*/

#pragma once

#define GPSTRIP_VERSION_STRING      ("gpstrip-" VERSION " #" REVISION " (" __DATE__ ")")

extern struct gpstrip_state {
  bool strip_debug;          /* strip debug symbols */
  bool preserve_dates;       /* preserve dates */
  bool strip_all;            /* remove all symbols */
  bool strip_unneeded;       /* Strip symbols not need for relocations */
  bool discard_all;          /* Remove non-global symbols */
  const char*input_file;           /* input file name */
  const char*output_file;          /* output file name */
  symbol_table_t *symbol_keep;          /* force these symbols to be keep */
  symbol_table_t *symbol_remove;        /* force these symbols to be removed */
  symbol_table_t *section_remove;       /* remove these sections */
  gp_object_t    *object;               /* formatted object file */
} state;
